{"openapi":"3.0.0","servers":[{"url":"https://api.syniverse.com","description":"Syniverse Developer Community Endpoint"}],"info":{"description":"This Service enables the Enterprise Customer to Add/Delete 10DLC numbers as well as Number Pools to Campaigns. The back-end system of this api will perform automatic MNO (Mobile Carrier) provisionning as required.","version":"2.0-oas3","title":"10DLC"},"tags":[{"name":"10DLC Numbers","description":"Add or Remove Individual 10DLC Numbers to Campaigns"},{"name":"10DLC Number Pools","description":"Add or Remove Number Pools to Campaigns"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"aa99999a-aa99-9a99-aaaa-a9a99aaa99a9"}}},"security":[{"bearerAuth":[]}],"paths":{"/tendlc-services/v1/campaign/{campaignId}/longcode/{longcode}":{"post":{"tags":["10DLC Numbers"],"summary":"Addition of 10DLC number to the registered campaign","description":"Provisioning the 10DLC Number","operationId":"create10DLCNumberUsingPOST","parameters":[{"name":"campaignId","in":"path","description":"campaignId","required":true,"schema":{"type":"string"}},{"name":"longcode","in":"path","description":"longcode","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Request recieved.","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"You are not authorized to view the resource"},"404":{"description":"The resource you were trying to reach is not found"}},"deprecated":false},"delete":{"tags":["10DLC Numbers"],"summary":"Deletion of 10DLC number from the registered campaign","description":"Deprovisioning the 10DLC Number","operationId":"delete10DLCNumberUsingDELETE","parameters":[{"name":"campaignId","in":"path","description":"campaignId","required":true,"schema":{"type":"string"}},{"name":"longcode","in":"path","description":"longcode","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Request recieved.","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"You are not authorized to view the resource"},"404":{"description":"The resource you were trying to reach is not found"}},"deprecated":false}},"/tendlc-services/v1/campaign/{campaignId}/pool/{application_address}":{"post":{"tags":["10DLC Number Pools"],"summary":"Addition of 10DLC number to the registered campaign","description":"Provisioning the 10DLC Number Pool","operationId":"create10DLCNumberPoolUsingPOST","parameters":[{"name":"campaignId","in":"path","description":"campaignId","required":true,"schema":{"type":"string"}},{"name":"application_address","in":"path","description":"application_address that represents the number pool in SDG","required":true,"schema":{"type":"string"}},{"name":"NumberPoolType","in":"query","description":"Type of Number Pool based on SubId or based on Campaign Id; Indicative","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Request recieved.","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"You are not authorized to view the resource"},"404":{"description":"The resource you were trying to reach is not found"}},"deprecated":false},"delete":{"tags":["10DLC Number Pools"],"summary":"Addition of 10DLC number to the registered campaign","description":"Provisioning the 10DLC Number Pool","operationId":"Delete10DLCNumberPoolUsingPOST","parameters":[{"name":"campaignId","in":"path","description":"campaignId","required":true,"schema":{"type":"string"}},{"name":"application_address","in":"path","description":"application_address that represents the number pool in SDG","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Request recieved.","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"You are not authorized to view the resource"},"404":{"description":"The resource you were trying to reach is not found"}},"deprecated":false}}}}